Index: rtems/config/5/rtems-default.bset
===================================================================
--- rtems/config/5/rtems-default.bset	(revision 96673d751ab488d5d892ae67c1842aef9d5c068b)
+++ rtems/config/5/rtems-default.bset	(revision 78dc8cd1d8854452ba030e016d999be54c0adfc1)
@@ -19,5 +19,5 @@
 
 tools/rtems-binutils-2.31.1
-tools/rtems-gcc-7.4.0-newlib-df6915f029ac9acd2b479ea898388cbd7dda4974
+tools/rtems-gcc-7.4.0-newlib-dc6e94551f09d3a983afd571478d63a09d6f66fa
 tools/rtems-tools-5-1
 tools/rtems-kernel-5
Index: rtems/config/5/rtems-epiphany.bset
===================================================================
--- rtems/config/5/rtems-epiphany.bset	(revision 96673d751ab488d5d892ae67c1842aef9d5c068b)
+++ rtems/config/5/rtems-epiphany.bset	(revision 78dc8cd1d8854452ba030e016d999be54c0adfc1)
@@ -35,5 +35,5 @@
 devel/expat-2.1.0-1
 tools/rtems-binutils-2.31.1
-tools/rtems-gcc-7.4.0-newlib-df6915f029ac9acd2b479ea898388cbd7dda4974
+tools/rtems-gcc-7.4.0-newlib-dc6e94551f09d3a983afd571478d63a09d6f66fa
 tools/rtems-gdb-7.8.1-1
 tools/rtems-tools-5-1
Index: rtems/config/5/rtems-or1k.bset
===================================================================
--- rtems/config/5/rtems-or1k.bset	(revision 96673d751ab488d5d892ae67c1842aef9d5c068b)
+++ rtems/config/5/rtems-or1k.bset	(revision 78dc8cd1d8854452ba030e016d999be54c0adfc1)
@@ -12,5 +12,5 @@
 tools/rtems-gdb-ce73f310150418a9a1625ab60a527d959096a9e2
 tools/rtems-binutils-417e50dbcfd4b8dd699f48df5ac9b9a733fd80e2
-tools/rtems-gcc-4c0c3d1029e79b6709b43fed8c5a5944f245516d-newlib-df6915f029ac9acd2b479ea898388cbd7dda4974
+tools/rtems-gcc-4c0c3d1029e79b6709b43fed8c5a5944f245516d-newlib-dc6e94551f09d3a983afd571478d63a09d6f66fa
 tools/rtems-tools-5-1
 tools/rtems-kernel-5
Index: rtems/config/5/rtems-riscv.bset
===================================================================
--- rtems/config/5/rtems-riscv.bset	(revision 96673d751ab488d5d892ae67c1842aef9d5c068b)
+++ rtems/config/5/rtems-riscv.bset	(revision 78dc8cd1d8854452ba030e016d999be54c0adfc1)
@@ -13,5 +13,5 @@
 tools/rtems-gdb-ce73f310150418a9a1625ab60a527d959096a9e2
 tools/rtems-binutils-417e50dbcfd4b8dd699f48df5ac9b9a733fd80e2
-tools/rtems-gcc-4c0c3d1029e79b6709b43fed8c5a5944f245516d-newlib-df6915f029ac9acd2b479ea898388cbd7dda4974
+tools/rtems-gcc-4c0c3d1029e79b6709b43fed8c5a5944f245516d-newlib-dc6e94551f09d3a983afd571478d63a09d6f66fa
 tools/rtems-tools-5-1
 tools/rtems-kernel-5
Index: rtems/config/tools/rtems-gcc-4c0c3d1029e79b6709b43fed8c5a5944f245516d-newlib-dc6e94551f09d3a983afd571478d63a09d6f66fa.cfg
===================================================================
--- rtems/config/tools/rtems-gcc-4c0c3d1029e79b6709b43fed8c5a5944f245516d-newlib-dc6e94551f09d3a983afd571478d63a09d6f66fa.cfg	(revision 78dc8cd1d8854452ba030e016d999be54c0adfc1)
+++ rtems/config/tools/rtems-gcc-4c0c3d1029e79b6709b43fed8c5a5944f245516d-newlib-dc6e94551f09d3a983afd571478d63a09d6f66fa.cfg	(revision 78dc8cd1d8854452ba030e016d999be54c0adfc1)
@@ -0,0 +1,20 @@
+%include %{_configdir}/checks.cfg
+%include %{_configdir}/base.cfg
+
+%define gcc_version 4c0c3d1029e79b6709b43fed8c5a5944f245516d
+%define gcc_external 1
+%define gcc_expand_name gnu-mirror-gcc-%{gcc_version}
+%source set gcc --rsb-file=%{gcc_expand_name}.tar.gz https://codeload.github.com/RTEMS/gnu-mirror-gcc/tar.gz/%{gcc_version}
+%hash sha512 %{gcc_expand_name}.tar.gz 72250a27f4b532fe1347fc8064e5d4b532977e3e97a3f347bf57e327650a5a52ce155e5364d0c8a9fbbc261f8ed49868551e6486b40b8d53940d3763b28d2bec
+
+%define newlib_version dc6e94551f09d3a983afd571478d63a09d6f66fa
+%define newlib_external 1
+%define newlib_expand_name sourceware-mirror-newlib-cygwin-%{newlib_version}
+%source set newlib --rsb-file=newlib-%{newlib_version}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-newlib-cygwin/tar.gz/%{newlib_version}
+%hash sha512 newlib-%{newlib_version}.tar.gz 1883126990aa3d07e435dfffc2fe8481bb268b9f6381bc97ad4634329e70408c18af87f139d8aa726d47f864c66a7a67966df803bfc7a3a8f4137cfe91a71ff1
+
+%define with_threads 1
+%define with_plugin 0
+%define with_iconv 1
+
+%include %{_configdir}/gcc-9.cfg
Index: rtems/config/tools/rtems-gcc-7.4.0-newlib-dc6e94551f09d3a983afd571478d63a09d6f66fa.cfg
===================================================================
--- rtems/config/tools/rtems-gcc-7.4.0-newlib-dc6e94551f09d3a983afd571478d63a09d6f66fa.cfg	(revision 78dc8cd1d8854452ba030e016d999be54c0adfc1)
+++ rtems/config/tools/rtems-gcc-7.4.0-newlib-dc6e94551f09d3a983afd571478d63a09d6f66fa.cfg	(revision 78dc8cd1d8854452ba030e016d999be54c0adfc1)
@@ -0,0 +1,37 @@
+%include %{_configdir}/checks.cfg
+%include %{_configdir}/base.cfg
+
+#
+# FreeBSD specific fix for MIPS
+#
+%if %{_build_os} == freebsd || %{_build_os} == darwin
+ %patch add gcc --rsb-file=freebsd-libgcc-sed-fix.patch -p0 https://gcc.gnu.org/bugzilla/attachment.cgi?id=41380
+ %hash  sha256 freebsd-libgcc-sed-fix.patch 8a11bd619c2e55466688e328da00b387d02395c1e8ff4a99225152387a1e60a4
+%endif
+
+%define gcc_version 7.4.0
+%hash sha512 gcc-%{gcc_version}.tar.xz 8864d8e4b97c2e1a4f17422f6e68120172ebefeab97b1757734f7185ca68a6b9a89011c6833c03fa454c17b0ac35b15e1d284881e6971035948ac6100f3aa45e
+
+%define newlib_version dc6e94551f09d3a983afd571478d63a09d6f66fa
+%define newlib_external 1
+%define newlib_expand_name sourceware-mirror-newlib-cygwin-%{newlib_version}
+%source set newlib --rsb-file=newlib-%{newlib_version}.tar.gz https://codeload.github.com/RTEMS/sourceware-mirror-newlib-cygwin/tar.gz/%{newlib_version}
+%hash sha512 newlib-%{newlib_version}.tar.gz 1883126990aa3d07e435dfffc2fe8481bb268b9f6381bc97ad4634329e70408c18af87f139d8aa726d47f864c66a7a67966df803bfc7a3a8f4137cfe91a71ff1
+
+%define isl_version 0.16.1
+%hash sha512 isl-%{isl_version}.tar.bz2 c188667a84dc5bdddb4ab7c35f89c91bf15a8171f4fcaf41301cf285fb7328846d9a367c096012fec4cc69d244f0bc9e95d84c09ec097394cd4093076f2a041b
+
+%define mpfr_version 3.1.4
+%hash sha512 mpfr-%{mpfr_version}.tar.bz2 51066066ff2c12ed2198605ecf68846b0c96b548adafa5b80e0c786d0df488411a5e8973358fce7192dc977ad4e68414cf14500e3c39746de62465eb145bb819
+
+%define mpc_version 1.0.3
+%hash sha512 mpc-%{mpc_version}.tar.gz 0028b76df130720c1fad7de937a0d041224806ce5ef76589f19c7b49d956071a683e2f20d154c192a231e69756b19e48208f2889b0c13950ceb7b3cfaf059a43
+
+%define gmp_version 6.1.0
+%hash sha512 gmp-%{gmp_version}.tar.bz2 3c82aeab9c1596d4da8afac2eec38e429e84f3211e1a572cf8fd2b546493c44c039b922a1133eaaa48bd7f3e11dbe795a384e21ed95cbe3ecc58d7ac02246117
+
+%define with_threads 1
+%define with_plugin  0
+%define with_iconv   1
+
+%include %{_configdir}/gcc-7.2-1.cfg
